.choices__list--multiple .choices__item {
  background-color: var(--color-primary);
  border-color: var(--color-primary);
  margin-left: -10px;
  margin-bottom: 4px;
  margin-right: 4px;
  white-space: pre;

  &[data-deletable] {
    display: inline-flex;
    margin: 0 1px 1px 0;
    white-space: normal;
    word-break: break-word;
  }
}

.choices__input--cloned--placeholder--hidden {
  &::placeholder {
    opacity: 0;
  }
}

.choices__inner:focus-within {
  outline: 2px solid var(--color-primary);
}

.choices[data-type*="select-multiple"] {
  & .choices__item {
    word-break: break-word;
  }

  & .choices__inner {
    background-repeat: no-repeat;
    background-size: 13px 8px;
    background-position-y: calc(100% - 22px);
    background-position-x: calc(100% - 20px);
    background-color: white;

    padding-top: 14px;
    padding-right: 38px;
    padding-bottom: 10px;
    padding-left: 26px;

    border: none;
    min-height: 56px;
    display: flex;
    align-items: center;
    cursor: default;

    & > input {
      padding: 0;
      cursor: inherit;
      margin: 0;
      margin-bottom: 3px;
      height: initial;
      background-color: white;
      font-size: 18px;
    }
    /* This is in page.css until we can figure out how to make this work. */
    /* See https://github.com/bennypowers/lit-css-loader/issues/8 */
    /* background-image: url("img/caret.svg"); */
  }
}

.choices {
  margin-bottom: 0;

  &::placeholder {
    color: gray;
  }
}
